<?php

if ( ! function_exists( 'cevian_select_register_woocommerce_dropdown_cart_widget' ) ) {
	/**
	 * Function that register dropdown cart widget
	 */
	function cevian_select_register_woocommerce_dropdown_cart_widget( $widgets ) {
		$widgets[] = 'CevianSelectClassWoocommerceDropdownCart';
		
		return $widgets;
	}
	
	add_filter( 'cevian_core_filter_register_widgets', 'cevian_select_register_woocommerce_dropdown_cart_widget' );
}

if ( ! function_exists( 'cevian_select_get_dropdown_cart_icon_class' ) ) {
	/**
	 * Returns dropdow cart icon class
	 */
	function cevian_select_get_dropdown_cart_icon_class() {
		$classes = array(
			'qodef-header-cart'
		);
		
		$classes[] = cevian_select_get_icon_sources_class( 'dropdown_cart', 'qodef-header-cart' );
		
		return implode( ' ', $classes );
	}
}